import { Component, OnInit } from '@angular/core';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from '@shared/shared.module';

import { DemoComponent } from './demo/demo.component';
import { ExcelComponent } from './excel/excel.component';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'demo', component: DemoComponent },
      { path: 'excel', component: ExcelComponent }

    ]
  }
];

const COMPONENTS_NOROUNT = [  ];

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    ...COMPONENTS_NOROUNT,
    DemoComponent,
    ExcelComponent
  ],
  entryComponents: COMPONENTS_NOROUNT
})
export class ReportsModule { }
